// 分公司特殊组件页面注册
import Vue from 'vue'

export default function () {
  // 物联网表用气量统计表
  Vue.component('call-report-main-page', (resolve) => { require(['./CallReport/CallReportMainPage'], resolve) })
  // 天气
  Vue.component('weather-data', (resolve) => { require(['./CallReport/WeatherData'], resolve) })
  // 时间
  Vue.component('time', (resolve) => { require(['./CallReport/Time'], resolve) })
  // 工单统计
  Vue.component('work-order-page', (resolve) => { require(['./CallReport/WorkOrderPage'], resolve) })
  // 完成率
  Vue.component('percentage-complete', (resolve) => { require(['./CallReport/PercentageComplete'], resolve) })
  Vue.component('percentage-complete-echart', (resolve) => { require(['./CallReport/PercentageCompleteEchart'], resolve) })
  // 用户信息
  Vue.component('userinfo', (resolve) => { require(['./CallReport/Userinfo'], resolve) })
  // 来电统计
  Vue.component('incoming-telegram', (resolve) => { require(['./CallReport/IncomingTelegram'], resolve) })
  // echart图1
  Vue.component('rate-top', (resolve) => { require(['./CallReport/RateTop'], resolve) })
  // echart图2
  Vue.component('rate-bottom', (resolve) => { require(['./CallReport/RateBottom'], resolve) })
  // 客服状态
  Vue.component('service-status', (resolve) => { require(['./CallReport/ServiceStatus'], resolve) })
  // 分公司下拉框
  Vue.component('drop-down-box', (resolve) => { require(['./CallReport/DropDownBox'], resolve) })
  // 补卡查询
  Vue.component('fill-card-query', (resolve) => { require(['./FillCardQuery'], resolve) })
  // 收费查询
  Vue.component('charge-query', (resolve) => { require(['./ChargeQuery'], resolve) })
}
